GithubPluginUpdater

  • Hallo


    Ich wollte euch hier das Plugin "GithubPluginUpdater" vorstellen. ;)


    "GithubPluginUpdater" ist ein Plugin um unkompliziert die aktuellen github-Versionen auf die Box zu bekommen.
    Das geht dann direkt auf der Box ohne umständlich erst über den PC was kopieren zu müssen.
    Man kann auch in den Einstellungen beim Box-Start den Auto-Update-Check aktivieren, so dass beim Vorhandensein neuer github-Updates ein entsprechendes Hinweisfenster beim Boxstart angezeigt wird.


    Aktuell unterstützt das Plugin dabei folgende github-Plugins:
    - SerienRecorder
    - SeriesPlugin
    - InfoBarTunerState
    - EnhancedMovieCenter


    Möglicherweise könnte diese Liste später noch variabel gestaltet und ergänzt werden. Aktuell ist es auf diese vier begrenzt und kann derzeit nicht ergänzt werden.


    Sollten auf der Box von den 4 genannten Plugins nicht alle installiert sein, ist das nicht schlimm.
    Das Plugin erkennt das und ignoriert die fehlenden Plugins dann automatisch.


    wichtiger Hinweis:
    Gerade in der hiermit einfachen Möglichkeit eine github-Version auf die Box zu bekommen, besteht auch die große Gefahr, dass man sich dabei schnell eine Test-Version auf die Box kopiert, die dann zu Problemen oder sogar Abstürzen führen kann.
    Daher sollten dieses Plugin nur erfahrene Nutzer verwenden, die im Problemfall auch wissen, wie sie die Box dann wieder problemlos zum Laufen bekommen.
    Unerfahrenen Nutzern, die auch eine github-zip-Version nicht auf die Box kopieren würden/könnten, wird dieses Plugin ausdrücklich nicht empfohlen!!!!
    Man sollte sich also bewusst sein, dass man sich beim Installieren einer github-Version durchaus eine nicht voll funktionierende Test-Version auf der Box installiert.


    In den angehängten Screnshots kann man zum besseren Verständnis die Oberfläche des Plugins sehen.
    1 x wenn alles aktuell ist und 1 x wenn es Updates für die Plugins gibt.
    (um angebotene Updates zu starten, muss nur die jeweils dargestellte Farbtaste gedrückt werden)
    Im Setup kann man auch noch einige Einstellungen anpassen!
    Das Menü (sinnvollerweise über die Menü-Taste) bietet neben dem Aufruf der Einstellungen auch noch einige erweiterte Möglichkeiten wie "zwangs-Update" und "Backup wiederherstellen".


    Info zum curl-Paket:
    Das Plugin benötigt bei der Ausführung des Updatescriptes zum Download der github-Plugin-Zip-Datei dieses curl-Paket.
    Ist es nicht auf der Box installiert, meldet das das Plugin und bietet im Menü über einen gesonderten Menü-Punkt die direkte Installation des Paketes auf der Box an.


    Im Anhang die aktuellen Installationsdateien (zip, ipk und deb).


    Änderung Version 1.1.0 (14.01.2018 ):
    - erweiterte Update-Info mit Frage zum Öffnen des Plugins (im Setup aktivierbar)
    - im Update-Info-Fenster jetzt Aufzählung der Plugins zu denen ein Update vorliegt


    Änderung Version 1.2.0 (11.02.2018 ):
    - über die Tasten 1-4 kann man sich zu jedem Plugin die letzte github-Update-Info anzeigen lassen
    (ist ein Plugin nicht installiert, beliebt die jeweilige Zahlen-Taste ohne Wirkung)
    - neues Bestätigungsfenster mit Anzeige der github-Update-Info nach Drücken der jeweiligen Farbtaste für das Plugin-Update
    (damit muss man nicht erst auf der Website nachsehen, um zu erfahren, was mit dem letzten Update verändert wurde)
    - Optimierungsversuch zur besseren Anzeige des github-Datums
    (kurz nach einem github-Update wurde oft kein github-Datum angezeigt)


    Änderung Version 1.3.0 (18.02.2018 ):
    - das Plugin hat jetzt einen HelpScreen mit einer Übersicht zur Tastenbelegung (über Help-Taste)
    - Self-Update für den GithubPluginUpdater inkl. Zwangsupdate/Backup/Restore (Info-Taste startet die Updateprüfung)
    wird auch beim UpdateCheck beim Boxstart geprüft (kann in den Einstellungen wie bei den Plugins separat deaktiviert werden)
    - Info-Taste (langer Tastendruck) zeigt die erweiterte github-Update-Info für den GithubPluginUpdater
    - mit den Zahlentasten 1-4 (langer Tastendruck) kann die erweiterte github-Update-Info zu einem Plugin aufgerufen werden.
    Dort werden dann die github-Updates aufgelistet - max. 30 (mit Zahlentaste kurz kommt weiterhin die Kurz-Info zum letzten Update)
    - mit den Farbtasten (langer Tastendruck) kann jetzt direkt das Zwangsupdate gestartet werden (es kommt noch ein Bestätigungsfenster)


    Änderung Version 1.4.0 (24.03.2018 ):
    - Optimierungsversuch zur besseren Erkennung/Anzeige des github-Datums (auch für Updatecheck)
    (für einige Plugins wurde kein github-Datum mehr erkannt/angezeigt)


    Änderung Version 1.4.1 (19.02.2019 ):
    - Parameter für wget-Befehl korrigiert (es kam beim Update der Fehler: unzip: invalid zip magic...)

  • Sven möchte mich hier nochmal :thx: sagen. Ich hatte es ja vorweg testen dürfen und dein Plugin ist echt hilfreich wenn man bequem updaten möchte :top:

  • Ich habe soeben die Version 1.1.0 im Post #1 aktualisiert ;)


    Änderung Version 1.1.0 (14.01.2018 ):
    - erweiterte Update-Info mit Frage zum Öffnen des Plugins (im Setup aktivierbar)
    - im Update-Info-Fenster jetzt Aufzählung der Plugins zu denen ein Update vorliegt

  • Hallo Sven,


    Beim aufrufen über den Pluginbrowser bekomme ich folgende Fehlermeldung:
    "Einige Plugins sind nicht verfügbar: Extensions/GithubPluginUpdater (No Modul Namen subprocess)


    Mit freundlichen Grüßen
    Commodus

  • Box:7020HD
    Experimental 2016-06-16 OE2.0
    Enigma2: 2016-06-16
    Gemini Version: 0.81-r1

  • Commodus


    Da scheint bei dir das Paket „python-subprocess“ zu fehlen.
    Hätte gedacht, dass das standardmäßig immer vorhanden ist.


    Du kannst es aber manuell in telnet nachinstallieren:


    opkg update
    opkg install python-subprocess

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Danke Sven,
    Plugin funktioniert nun.


    mfg
    Commodus

  • Ich habe soeben die Version 1.2.0 im Post #1 aktualisiert


    Änderung Version 1.2.0 (11.02.2018 ):
    - über die Tasten 1-4 kann man sich zu jedem Plugin die letzte github-Update-Info anzeigen lassen
    (ist ein Plugin nicht installiert, beliebt die jeweilige Zahlen-Taste ohne Wirkung)
    - neues Bestätigungsfenster mit Anzeige der github-Update-Info nach Drücken der jeweiligen Farbtaste für das Plugin-Update
    (damit muss man nicht erst auf der Website nachsehen, um zu erfahren, was mit dem letzten Update verändert wurde)
    - Optimierungsversuch zur besseren Anzeige des github-Datums
    (kurz nach einem github-Update wurde oft kein github-Datum angezeigt)

  • Ich habe soeben die Version 1.3.0 im Post #1 aktualisiert

    Änderung Version 1.3.0 (18.02.2018 ):
    - das Plugin hat jetzt einen HelpScreen mit einer Übersicht zur Tastenbelegung (über Help-Taste)
    - Self-Update für den GithubPluginUpdater inkl. Zwangsupdate/Backup/Restore (Info-Taste startet die Updateprüfung)
    wird auch beim UpdateCheck beim Boxstart geprüft (kann in den Einstellungen wie bei den Plugins separat deaktiviert werden)
    - Info-Taste (langer Tastendruck) zeigt die erweiterte github-Update-Info für den GithubPluginUpdater
    - mit den Zahlentasten 1-4 (langer Tastendruck) kann die erweiterte github-Update-Info zu einem Plugin aufgerufen werden.
    Dort werden dann die github-Updates aufgelistet - max. 30 (mit Zahlentaste kurz kommt weiterhin die Kurz-Info zum letzten Update)
    - mit den Farbtasten (langer Tastendruck) kann jetzt direkt das Zwangsupdate gestartet werden (es kommt noch ein Bestätigungsfenster)

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Guten Abend Sven,


    ich bekomme beim Status folgende Meldung.
    Github-Version wurde geladen (mit Fehler).


    Wenn ich versuche das Update zu erzwingen, wird das curl Package verlang.
    Das läst sich jedoch nicht installieren.
    Fehler : unkown package Curl.


    Vor einigen Tagen funktionierte es noch mit der Version 1.3.0
    Da wurde noch alle normal geladen.


    Mit freundlichen Grüßen
    Commodus

  • Ja , verbindung zum i-net geht.
    Hab gerade einige updates über den gp3 packet Manager installiert.


    Bei der github Version vom seriesplugin wird kein Zeit Stempel angezeigt. Nur (...) Version 5.9.4 wir richtig erkannt.
    Bei der lokalen Version steht das Datum und Uhrzeit dabei.


    Ich spiel morgen mal das seriesplugin händisch ein, mal schauen was dann passiert.


    Edit: Seriesplugin händisch eingespielt funktioniert wieder perfekt. curl_7.24.0-r0_mips32el.ipk nachinstalliert, gleiches Fehlerbild wie bei Herbert38
    Bei der github Version vom seriesplugin wird kein Zeit Stempel angezeigt. Nur (...)

    Mfg

  • Moin, ich habe für OE2.0 ein Log erstellt.


    Eingefügt habe ich den Abschnitt vom GithubPluginUpdater.

    Files

    Dreambox DM800se / DM820
    Image: Merlin3 GP3 Experimental aktuell
    Plugins: AutoTimer, EPGRefresh, SeriesPlugin, Erw. Filmauswahl, MediaPortal

  • Hallo


    Entscheidend ist ja folgendr Eintrag:
    GithubPluginUpdater getContentError: 2 [Failure instance: Traceback: <class 'OpenSSL.SSL.Error'>: [('SSL routines', 'SSL23_GET_SERVER_HELLO', 'tlsv1 alert protocol version')]


    Da scheint eine SSL routine einen Fehler zu verursachen.
    Das ist nicht mein Spezialgebiet.


    Habt ihr irgendwo auf spezielle SSL Protokoll-Versionen beschränkt?


    Wenn es denn schon funktioniert hat, habt ihr seitdem irgendwelche Image-Updates gemacht?


    Versucht mal folgendes in Telnet:
    opkg list-installed | grep openssl


    Bei mir kommt da folgendes:
    openssl - 1.0.2h-r0.4 - Secure Socket Layer
    openssl-conf - 1.0.2h-r0.4 - Secure Socket Layer
    python-pyopenssl - 1:0.15.1-r0.4 - Simple Python wrapper around the OpenSSL library

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Das ist kommt bei mir raus.
    Update wurde erst gestern Abend eingespielt (Netatmo und Advanced Movieliest)
    Weiter Updates wurden nicht gemacht.



    root@dm7020hd:~# opkg list-installed | grep openssl
    openssl - 0.9.8za-r15.0
    openssl-misc - 0.9.8za-r15.0
    python-pyopenssl - 0.13-r1


    Box:7020HD
    Experimental 2016-06-16 OE2.0
    Enigma2: 2016-06-16
    Gemini Version: 0.81-r1

  • Welche Image-Version hast du und welche Box betrifft das denn?


    Edit:


    Da kann ich dann erstmal nicht weiterhelfen.
    Ist wie gesagt nicht mein Spezialgebiet.


    Komisch ist nur, dass es bei dir ja schon funktioniert hat.

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Dreambox:dm800se
    Experimental 2015-10-25 OE2.0
    Enigma2: 2016-06-16
    Gemini Version: 0.81-r1


    root@dm800se:~# opkg list-installed | grep openssl
    openssl - 0.9.8za-r15.0
    python-pyopenssl - 0.13-r1


    Ich bin jetzt zurück auf „GithubPluginUpdater 1.2.0“ und „SeriesPlugin 5.9.3“.
    Diese Konstellation hatte schon funktioniert, auch mit „GithubPluginUpdater 1.3.0“, das mir dann ein Update auf „SeriesPlugin 5.9.4“ angezeigt hatte.
    Ob jetzt außer den verschiedenen Versionen, darunter auch ein Datum stand, kann ich nicht mehr sagen.
    Ich hatte die Dateien im „SeriesPlugin“ aber schon von Hand geändert, sodass ich auf ein Update verzichtet habe.


    Eine neue Abfrage wird immer mit Fehlern geladen.